# Copyright (c) 2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr
%define _SOnr	0_4-0

Summary:		The Oil Runtime Compiler
Name:			orc
Version:		0.4.10
Release:		2.2
License:		see LICENSE
Group:			Development/Tools/Building
Source0:		http://code.entropywave.com/download/orc/%{name}-%{version}.tar.gz
URL:			http://code.entropywave.com/projects/orc/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	pkgconfig

%description
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.

The “language” is a generic assembly language that represents man
of the features available in SIMD architectures, including saturated
addition and subtraction, and many arithmetic operations.

%package devel
Summary:	The Oil Runtime Compiler devel files
Group:		Development/Libraries/C and C++
Requires:	liborc%{_SOnr} = %{version}
Requires:	%{name} = %{version}

%description devel
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.

The “language” is a generic assembly language that represents man
of the features available in SIMD architectures, including saturated
addition and subtraction, and many arithmetic operations.

This package contains header and linkl ibraries for liborc.

%package -n liborc%{_SOnr}
Summary:	Shared library for orc
Group:		System/Libraries

%description -n liborc%{_SOnr}
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.

The “language” is a generic assembly language that represents man
of the features available in SIMD architectures, including saturated
addition and subtraction, and many arithmetic operations.
Shared libraries for package orc.

%debug_package

%prep
%setup -q -n %{name}-%{version}

%build
export SUSE_ASNEEDED=0

%configure \
	--disable-static \
	--with-html-dir=%{_docdir}/%{name}-devel
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/*.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n liborc%{_SOnr} -p /sbin/ldconfig

%postun -n liborc%{_SOnr} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/%{name}c
%{_bindir}/%{name}-bugreport
##%dir %{_libdir}/%{name}
##%{_libdir}/%{name}/*

%files -n lib%{name}%{_SOnr}
%defattr(-,root,root)
%{_libdir}/lib%{name}-*.so.*

%files devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}-devel
%dir %{_includedir}/%{name}-0.4
%{_includedir}/%{name}-0.4/*
%{_libdir}/lib%{name}-*.so
%{_libdir}/pkgconfig/*.pc

%changelog
